diff -Naur yatex1.72.orig/fink/yatex-install yatex1.72/fink/yatex-install
--- yatex1.72.orig/fink/yatex-install	Thu Jan  1 09:00:00 1970
+++ yatex1.72/fink/yatex-install	Tue Feb 24 02:49:24 2004
@@ -0,0 +1,48 @@
+#!/bin/bash -e
+# @PREFIX@/lib/emacsen-common/packages/install/yatex
+
+abort_install() {
+    echo "Byte compile for ${FLAVOR} failed."
+    echo "Please check @PREFIX@/share/${FLAVOR}/site-lisp/${PACKAGE}/CompilationLog.gz"
+    echo
+    exit 1
+}
+
+PACKAGE=yatex
+
+FLAVOR=$1
+
+ELDIR=@PREFIX@/share/emacs/site-lisp/${PACKAGE}/
+ELCDIR=@PREFIX@/share/${FLAVOR}/site-lisp/${PACKAGE}/
+LOG=CompilationLog
+
+byte_compile_options="-q -batch -no-site-file -no-init-file"
+
+# don't byte-compile yatex19.el 
+LISP="comment.el yatex.el yatexadd.el yatexgen.el yatexenv.el \
+    yatexlib.el yatexprc.el yatexpkg.el \
+    yatexmth.el yatexhks.el yatexhlp.el \
+    yatexm-o.el yatexsec.el  yatexhie.el yahtml.el"
+
+if [ ${FLAVOR} != emacs ]
+    then
+    echo install/${PACKAGE}: Byte-compiling for ${FLAVOR}...
+
+    install -m 755 -d ${ELCDIR}
+    # Copy the temp .el files
+    cp ${ELDIR}/*.el ${ELCDIR}
+
+    # Byte compile them
+    echo '(setq load-path (cons "." load-path))' >  ${ELCDIR}/lp.el
+    echo '(load-file "./yatexlib.el")'           >> ${ELCDIR}/lp.el
+    (cd ${ELCDIR} && ${FLAVOR} ${byte_compile_options} -l ./lp.el \
+	-e bcf-and-exit ${LISP} 2>&1 | gzip -9qf > $LOG.gz) || abort_install
+    rm ${ELCDIR}/*.el
+# use el file for yatex19 instead of yatex19.elc
+    cp ${ELDIR}/yatex19.el ${ELCDIR}
+#    cp ${ELDIR}/YATEXHLP.eng ${ELCDIR}
+#    cp ${ELDIR}/YATEXHLP.jp  ${ELCDIR}
+    echo "done."
+fi
+
+exit 0
diff -Naur yatex1.72.orig/fink/yatex-remove yatex1.72/fink/yatex-remove
--- yatex1.72.orig/fink/yatex-remove	Thu Jan  1 09:00:00 1970
+++ yatex1.72/fink/yatex-remove	Tue Feb 24 02:50:49 2004
@@ -0,0 +1,19 @@
+#!/bin/bash -e
+# @PREFIX@/lib/emacsen-common/packages/remove/yatex
+
+PACKAGE=yatex
+
+FLAVOR=$1
+
+ELCDIR=@PREFIX@/share/$FLAVOR/site-lisp/$PACKAGE/
+LOG=CompilationLog
+
+if [ ${FLAVOR} != emacs ]
+    then
+	echo -n "remove/$PACKAGE: Removing for $FLAVOR..."
+#        rm -f $ELCDIR/{*.elc,$LOG.gz,yatex19.el,YATEXHLP.eng,YATEXHLP.jp}
+        rm -f $ELCDIR/{*.elc,$LOG.gz,yatex19.el}
+        rmdir $ELCDIR || true
+        echo "done."
+fi
+exit 0
diff -Naur yatex1.72.orig/fink/yatex-startup yatex1.72/fink/yatex-startup
--- yatex1.72.orig/fink/yatex-startup	Thu Jan  1 09:00:00 1970
+++ yatex1.72/fink/yatex-startup	Tue Feb 24 02:39:36 2004
@@ -0,0 +1,109 @@
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+;;
+;; @PREFIX@/etc/emacs/site-start.d/50yatex.el
+;;
+;;
+;; NOTE: Lines with tab-stop indents are indispensable for sake of
+;;       the system's sanity.  Editing them is discouraged.
+;;
+;;
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
+
+		(let ((yatex-dir (concat "@PREFIX@/share/"
+					 (symbol-name fink-emacs-flavor)
+					 "/site-lisp/yatex")))
+		  (when (file-directory-p yatex-dir)
+		    (setq load-path (cons yatex-dir load-path))
+		    (autoload 'yatex-mode  "yatex"  "Yet Another LaTeX mode" t)
+		    (autoload 'yahtml-mode "yahtml" "Yet Another HTML mode"  t)
+		    (setq auto-mode-alist (append '(
+
+;;;;;; [auto-mode-alist]
+;;
+;; for YaTeX
+;;
+("\\.tex$" . yatex-mode)
+("\\.ltx$" . yatex-mode)
+("\\.cls$" . yatex-mode)
+("\\.sty$" . yatex-mode)
+("\\.clo$" . yatex-mode)
+("\\.bbl$" . yatex-mode)
+
+;;
+;; for YaHTML
+;;
+;("\\.s?html?$" . yahtml-mode) ; disabled by default
+
+
+						    ) auto-mode-alist))
+;;;;;; [YaTeX-japan]
+;;
+;; By default, YaTeX/YaHTML show Japanese messages if possible.
+;; You can disable this feature here.
+;;
+;(setq YaTeX-japan nil)
+
+
+
+;;;;;; [External programs]
+;;
+;; You can configure site-wide defaults of external programs here.
+;; (Those lines which are disabled show the upstream default.)
+;;
+;;
+;; YaTeX typesetting command
+;;
+;(setq tex-command
+;      (cond
+;       (YaTeX-use-LaTeX2e "platex")
+;       (YaTeX-japan "jlatex")
+;       (t "latex")))
+
+;;
+;; YaTeX BibTeX command
+;;
+;(setq bibtex-command (if YaTeX-japan "jbibtex" "bibtex"))
+
+;;
+;; YaTeX MakeIndex command
+;;
+;(setq makeindex-command "makeindex")
+
+;;
+;; YaTeX previewer command
+;;
+(setq dvi2-command "xdvi -geo +0+0 -s 4 -display :0")
+
+;;
+;; YaTeX command for printing
+;;  - Command line string to print out current file.
+;;    Format string %s will be replaced by the filename.  Do not forget to
+;;    specify the `from usage' and `to usage' with their option by format
+;;    string %f and %t.
+;;    See also documentation of dviprint-from-format and dviprint-to-format.
+;;
+;(setq dviprint-command-format "dvi2ps %f %t %s | lpr")
+
+
+;;
+;; YaHTML lint command
+;;
+;(setq yahtml-lint-program (if YaTeX-japan "jweblint" "weblint"))
+
+;;
+;; YaHTML browser
+;;
+;(setq yahtml-www-browser "netscape")
+
+;;
+;; YaHTML image viewer
+;;
+;(setq yahtml-image-viewer "xv") ; upstream default - unavailable
+;(setq yahtml-image-viewer "gimv") ; free alternative for Debian
+
+
+
+		    ))
+;;
+;; End of file `50yatex.el'
+;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
